<!DOCTYPE html>
<html>
  <head>
    <title>Blog</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
  <div class="container">

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="<%= articles_path%>"><%=t('bar.articles')%></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#"><%=t('bar.description')%></a>
            </li>
          </ul>
        </div>
        <form class="form-inline my-2 my-lg-0" action="/search">
          <input class="form-control" name="q" type="text" placeholder="Search" aria-label="Search">
          <%# <button class="btn btn-outline-success" type="submit">Search</button> %>
        </form>
        <%= link_to t('bar.newArticle'), new_article_path, class: 'btn btn-outline-primary pull-xs-right' %>
        <ul class="navbar-nav">
          <li class="nav-item">
            <%= link_to "Укр", {locale: :ua},  class: "nav-link"%>
          </li>
          <li class="nav-item">
            <%= link_to "En", {locale: :en}, class: "nav-link"%>
          </li> 
        </ul>
      </div>
    </nav>

  </div>


  <div class="container main">
     <%= yield %>  
  </div>
  </body>
</html>
